Skip to main content
GET
/
server
/
applications
/
{applicationId}
Get a specific application
curl --request GET \
  --url https://api.melonly.xyz/api/v1/server/applications/{applicationId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.melonly.xyz/api/v1/server/applications/{applicationId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.melonly.xyz/api/v1/server/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "acceptanceRemoveRoles": [
    "<string>"
  ],
  "acceptingResponses": true,
  "approvalRoles": [
    "<string>"
  ],
  "banAppeal": 123,
  "banAppealNote": true,
  "bannerKey": "<string>",
  "blockedDiscordRoles": [
    "<string>"
  ],
  "closedMessage": "<string>",
  "collectRobloxAccount": true,
  "color": "<string>",
  "cooldown": 123,
  "createdAt": 123,
  "denialRemoveRoles": [
    "<string>"
  ],
  "denialRoles": [
    "<string>"
  ],
  "description": "<string>",
  "eventsChannelId": "<string>",
  "guildMemberAge": 123,
  "id": "<string>",
  "inviteOnApproval": true,
  "lastUpdated": 123,
  "maxLogs": 123,
  "presets": [
    {}
  ],
  "questions": {},
  "requireApprovedReason": true,
  "requireDiscordMember": true,
  "requiredDenialReason": true,
  "requiredDiscordRoles": [
    "<string>"
  ],
  "resultsChannelId": "<string>",
  "resultsMentionUser": true,
  "revealReviewer": true,
  "reviewOnlyRoles": [
    "<string>"
  ],
  "reviewerRoles": [
    "<string>"
  ],
  "robloxGroupId": "<string>",
  "sections": [
    {}
  ],
  "serverId": "<string>",
  "stageResponses": true,
  "submissionMessage": "<string>",
  "submitMentionRoles": [
    "<string>"
  ],
  "title": "<string>"
}
{
"error": "invalid request parameters"
}
{
"error": "authorization header is required"
}
{
"error": "the requested resource could not be found on this server"
}
{
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and the API token.

Path Parameters

applicationId
string
required

Application ID

Response

successfully retrieved application details

acceptanceRemoveRoles
string[]
acceptingResponses
boolean
approvalRoles
string[]
banAppeal
integer
banAppealNote
boolean
bannerKey
string
blockedDiscordRoles
string[]
closedMessage
string
collectRobloxAccount
boolean
color
string
cooldown
integer
createdAt
integer
denialRemoveRoles
string[]
denialRoles
string[]
description
string
eventsChannelId
string
guildMemberAge
integer
id
string
inviteOnApproval
boolean
lastUpdated
integer
maxLogs
integer
presets
object[]
questions
object
requireApprovedReason
boolean
requireDiscordMember
boolean
requiredDenialReason
boolean
requiredDiscordRoles
string[]
resultsChannelId
string
resultsMentionUser
boolean
revealReviewer
boolean
reviewOnlyRoles
string[]
reviewerRoles
string[]
robloxGroupId
string
sections
object[]
serverId
string
stageResponses
boolean
submissionMessage
string
submitMentionRoles
string[]
title
string